@import url("https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@400;700&display=swap");
@import url("https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css");
@import url("https://fonts.googleapis.com/css2?family=Aleo:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --second-color: rgb(107, 107, 255);
  --dark-color: #000000;
  --white-color: #ffffff;
  --container-color: #ebebeb;

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Buenard", serif;
  --h2-font-size: 1.25rem;
  --normal-font-size: 1rem;
}

* {
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Poppins', sans-serif;
  background-color: #f8f9fa;
  font-family: "Alto", Arial, sans-serif;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
  min-height: 100%;
  background-size: cover;
}

.navbar {
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
  padding: 0.6rem 0;
  list-style: none;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  height: 100%;
  width: 100%;
}

.navbar-brand img {
  height: 100%;
  width: auto;
  display: block;
  transition: transform 0.3s ease;
}

.navbar-brand img:hover {
  transform: scale(1.05);
}

.nav-link {
  text-decoration: none !important;
  color: #333;
  font-weight: 500;
  transition: color 0.2s ease;
}

.nav-link:hover {
  background-color: lightskyblue;
}

.nav-link.home-link {
  border: 1px solid #333;
  border-radius: 20px;
  padding: 5px 15px;
  transition: all 0.3s ease;
  background-color: lightskyblue;
}

.nav-link.home-link:hover {
  background-color: #333;
  color: white !important;
}

.nav-link i {
  transition: transform 0.2s ease;
}

.nav-link:hover i {
  transform: rotate(10deg);
}

.offcanvas {
  background-color: white;
  box-shadow: -4px 0 10px rgba(0, 0, 0, 0.1);
  transition: transform 0.4s ease;
}

.offcanvas-header {
  border-bottom: 1px solid #eee;
}

.offcanvas .nav-link {
  padding: 10px 0;
  border-bottom: 1px solid #f1f1f1;
}

.offcanvas .nav-link:last-child {
  border-bottom: none;
}

.nav-link.home-link {
  border: 1px solid #333;
  border-radius: 20px;
  padding: 5px 15px;
  transition: all 0.3s ease;
  position: relative;
  overflow: hidden;
}

.nav-link.home-link:hover {
  background-color: #ff3b3b;
  border-color: #ff3b3b;
  color: white !important;
  box-shadow: 0 4px 12px rgba(255, 59, 59, 0.4);
  transform: translateY(-2px);
}

.nav-link.home-link::after {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.2);
  transition: left 0.3s ease;
}

.nav-link.home-link:hover::after {
  left: 0;
}

nav {
  background-color: white;
  box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.1);
  height: 10%;
  width: 100%;
  position: fixed;
  z-index: 6;
}

nav img {
  width: auto;
  height: 100%;
  display: block;
}

nav ul {
  list-style: none;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  height: 100%;
  padding: 0 15px;
  margin: 0 46.3333px;
  gap: 10px;
}

nav li {
  height: 80%;
}

nav a {
  height: 100%;
  padding: 0 15px;
  text-decoration: none;
  display: flex;
  align-items: center;
  color: black;
  font-family: "Buenard", serif;
  font-size: 15px;
}

.hide-on-mobile {
  height: 30px;
  font-family: "Alto", sans-serif;
  border: 0.083rem solid;
  border-radius: 40px;
  border-color: white;
}

.hide-on-mobile1 {
  height: 30px;
  font-family: "Alto", sans-serif;
  border: 0.083rem solid;
  border-radius: 40px;
}

.icons {
  display: -webkit-box;
}

.icons a {
  padding: 0 7px;
}

.hide-on-mobile:hover {
  border: 0.083rem solid;
  border-radius: 40px;
}

nav li:first-child {
  margin-right: auto;
}

.sidebar {
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 300px;
  background-color: rgba(255, 255, 255, 0.15);
  backdrop-filter: blur(12px);
  box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
  list-style: none;
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  transition: left 0.3s ease;
  margin: 0;
}

.sidebar li {
  width: 100%;
  height: 80px;
}

.sidebar a {
  width: 100%;
}

.SidebarIcons {
  display: inline;
}

.hide-log {
  display: none;
}

.hide-log {
  display: none;
}

.menu-button {
  display: none;
}

.sidebar.animate__animated.animate__fadeInRightBig {
  animation-duration: 0.5s;
}

@media (max-width: 784px) {
  .hide-on-mobile {
    display: none;
  }

  .hide-on-mobile1 {
    display: none;
  }

  .menu-button {
    display: block;
  }

  nav ul {
    margin: 0 10px;
  }
}

@media (max-width: 400px) {
  .sidebar {
    width: 100%;
  }

  .sidebar a {
    margin: 0 30px;
  }
}

.iconn {
  font-size: 1.4rem;
  color: #5981ff;
}

.iconn1 {
  font-size: 1.4rem;
}

.sidebar-menu {
  flex-direction: column !important;
  list-style: none;
  padding: 0;
  margin: 0;
  place-content: flex-start;
}

.sidebar-menu li {
  margin-bottom: 0px;
  height: 50px;
  width: 100%;
  padding-left: 5px;
}

.sidebar-menu li a {
  text-decoration: none;
  color: #333;
  padding: 0px 0px;
  border-radius: 5px;
  height: 50px;
  padding-left: 15px;
}

.sidebar-menu li a:hover {
  background-color: #419dff;
  color: white;
  transition: color 0.5s;
  transition: background-color 0.5s;
}

.sidebar-menu li:first-child {
  margin: 0px;
}

.sideicon {
  padding-right: 15px;
}

.offcanvas-header {
  display: block !important;
}

.modal-backdrop.show {
  opacity: 0.5;
}

.modal-content {
  background-color: #ffffff !important;
  color: #5981ff;
  width: 70% !important;
  max-width: 900px !important;
  margin: auto;
  margin-bottom: 0px;
  padding: 30px;
  border-radius: 12px;
  box-sizing: border-box;
  position: relative;
  border: none !important;
  box-shadow: 0 8px 25px rgba(0, 0, 0, 0.3);
  transition: all 0.3s ease-in-out;
}

.close-button {
  position: absolute;
  top: 15px;
  right: 20px;
  font-size: 35px;
  font-weight: bold;
  color: #5981ff;
  cursor: pointer;
  transition: color 0.2s ease;
}

.close-button:hover {
  color: #bbbbbb;
}

.modal-heading {
  font-size: 28px;
  font-weight: bold;
  margin-bottom: 15px;
  color: #5981ff;
  text-align: left;
}

.modal-content p {
  font-size: 16px;
  margin-bottom: 20px;
  color: #333;
}

.modal-content .email {
  color: #2e58ff;
  font-weight: 500;
  text-decoration: none;
}

.modal-content .email:hover {
  text-decoration: underline;
}


form.full-width-form {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.form-row {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}

.form-group {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.form-group label {
  margin-bottom: 5px;
  color: #5981ff;
  font-weight: 500;
  font-size: 14px;
}

input[type="text"],
input[type="email"],
textarea {
  padding: 12px 15px;
  border-color: #5981ff !important;
  border-radius: 6px;
  background-color: #ffffff;
  color: #333;
  width: 100%;
  box-sizing: border-box;
  font-size: 15px;
  transition: border 0.2s ease, box-shadow 0.2s ease;
  border-width: 1px !important;
}

input:focus,
textarea:focus {
  outline: none;
  border: 1px solid #4a6fff;
  box-shadow: 0 0 6px rgba(74, 111, 255, 0.4);
}

textarea {
  height: 130px;
  resize: vertical;
  border-radius: 8px;
  background-color: #f9f9f9;
  border: 1px solid #ccc;
  padding: 14px 16px;
  font-size: 15px;
  line-height: 1.5;
  color: #333;
  resize: none;
}

.sidebar-btn-close {
  background: #4a6fff;
  padding: 15px;
  border: none;
  border-radius: 10px;
  color: #ffffff;
  font-weight: bold;
  font-size: 16px;
  cursor: pointer;
  width: 100%;
  transition: background 0.3s ease, transform 0.2s ease;
}

.sidebar-btn-close:hover {
  background: #3558cc;
  transform: translateY(-2px);
}

@media (max-width: 768px) {
  .modal-content {
    width: 90% !important;
    padding: 20px;
    margin-bottom: auto !important;
  }

  .form-row {
    flex-direction: column;
    gap: 15px;
  }

  .modal-heading {
    font-size: 22px;
    text-align: center;
  }

  .modal-content p {
    text-align: center;
    font-size: 14px;
  }

  .close-button {
    top: 10px;
    right: 15px;
    font-size: 24px;
  }
}

@media (max-width: 480px) {
  .modal-content {
    width: 95% !important;
    padding: 15px;
    margin-bottom: auto !important;
  }

  .sidebar-btn-close {
    font-size: 14px;
    padding: 12px;
  }
}

.space {
  padding-bottom: 55px;
}

@media (max-width: 800px){
  .space {
    padding-bottom: 12vh;
  }
}

.contact {
  background-color: white;
}

.contact h1 {
  text-align: center;
  font-family: "Buenard", serif;
  margin-top: 0;
  text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.1);
  letter-spacing: 0.5px;
  text-transform: uppercase;
  line-height: 1.25;
  font-weight: 500;
  font-size: 30px;
  padding-top: 80px;
}
.contact-class {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  height: 100%;
  padding: 20px;
  box-sizing: border-box;
  background-color: #ffffff;
  margin-right: 50px;
  margin-bottom: 70px;
}

.info {
  flex: 1;
  padding: 20px;
  box-sizing: border-box;
  margin: 0 10px;
  text-align: center;
  max-width: 300px;
  text-align: center;
}

.form-contact-class {
  padding: 20px;
  box-sizing: border-box;
  margin: 0 10px;
  text-align: center;
}

.form-contact {
  display: flex;
  flex-direction: column;
  max-width: 250px;
}

.form-row-contact {
  display: flex;
  justify-content: space-between;
}

.form-row-contact input {
  flex: 1;
  margin-right: 10px;
}

.form-row-contact input:last-child {
  margin-right: 0;
}

.form-contact input {
  margin-bottom: 15px;
  padding: 15px;
  border: 1px solid #ccc;
  border-radius: 5px;
  width: 100%;
  font-size: 16px;
  font-family: inherit;
  box-sizing: border-box;
}

.contact-details li {
  display: flex;
  font-size: 16px;
  justify-content: center;
  padding: 2px;
}

.contact-details a {
  color: #5981ff;
  text-decoration: none;
}

.btn-contact {
  padding: 15px;
  border: none;
  background-color: #5981ff;
  color: #000000;
  border-radius: 15px;
  font-weight: 700;
  font-size: 1rem;
  cursor: pointer;
}

.btn-contact:hover {
  background-color: #4568d4;
}

.contact-details {
  list-style: none;
  padding: 0;
}

.contact-details li {
  margin-bottom: 10px;
  display: flex;
}

.contact-details i {
  margin-right: 10px;
  color: #5981ff;
}

.social-media {
  display: flex;
  justify-content: center;
  padding: 0;
  margin-top: 100px;
  list-style: none;
}

.social-media li {
  margin: 0 10px;
}

.social-media .social-icon {
  color: #5981ff;
  font-size: 24px;
  text-decoration: none;
}

.social-media .social-icon:hover {
  color: #4568d4;
}

.map-contact-class {
  display: flex;
}

.map {
  flex: 2;
}

.map iframe {
  width: 100%;
  height: 500px;
  position: relative;
}

.map-info {
  flex: 0 0 auto; 
  margin-left: 20px;
}

.textarea-contact {
  width: 100%;
  height: 200px;
  margin-bottom: 10px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 16px;
  font-family: inherit;
  box-sizing: border-box;
  resize: none;
}

@media (max-width: 950px) {
  .contact-class {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-right: 0px;
  }

  .form-contact {
    max-width: 100%;
  }

  .form-contact-class,
  .map,
  .info {
    width: 100%;
    text-align: center;
    margin: 10px 0;
  }

  .map iframe {
    height: 300px;
  }

  .social-media {
    margin-top: 70px;
  }

  .social-media li {
    margin: 0 15px;
  }

  .form-row-contact {
    display: block;
    width: 100%;
  }

  .form-row-contact input {
    margin-bottom: 10px;
  }

  .info {
    padding-bottom: 0px;
  }

  .form-contact-class {
    padding-top: 0px;
  }
}

footer {
  background-color: #f4f4f4;
  color: #333;
  padding: 20px;
  font-family: "Montserrat", sans-serif;
  height: 100%;
}

.footer-container {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-wrap: wrap;
}

.footer-section {
  flex: 1;
  margin: 10px;
  padding-top: 30px;
  padding-bottom: 50px;
}

.logo-footer {
  text-align: left;
  justify-items: center !important;
}

.footer-logo {
  max-width: 150px;
  margin-bottom: 10px;
}

.logo-footer p {
  font-size: 14px;
  margin: 10px 0;
}

.footer-links {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 300px;
  margin: 0 auto;
}

.footer-links p {
  display: inline-block;
  border-bottom: 1px solid #5981ff;
  padding-bottom: 10px;
  margin-bottom: 15px;
  font-weight: 700;
  font-size: 16px;
  text-align: center;
}

.footer-ul {
  list-style: none;
  padding: 0;
  margin: 0;
  text-align: left;
}

.footer-li {
  margin: 10px 0;
}

.footer-links a {
  text-decoration: none;
  color: #5981ff;
  font-size: 16px;
  font-weight: 600;
  position: relative;
  transition: color 0.2s;
}

.footer-links a::after {
  content: "";
  display: block;
  height: 1px;
  background: #5981ff;
  position: absolute;
  left: 0;
  bottom: -2px;
  width: 100%;
  transform: scaleX(0);
  transition: transform 0.2s;
}

.footer-links a:hover::after {
  transform: scaleX(1);
}

.footer-contact {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 auto;
}

.footer-contact p {
  display: inline-block;
  border-bottom: 1px solid #5981ff;
  padding-bottom: 10px;
  margin-bottom: 15px;
  font-weight: 700;
  font-size: 16px;
  text-align: center;
}

.footer-contact-item {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #333;
  text-decoration: none;
  margin: 10px 0;
}

.fa-phone,
.fa-envelope {
  color: #5981ff;
}

.contact-icon {
  width: 20px;
  height: 20px;
  margin-right: 10px;
}

.footer-contact-item a {
  color: #333;
  text-decoration: none;
}

.footer-contact-item a:hover {
  color: #5981ff;
}

.footer-social {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 auto;
}

.footer-social p {
  display: inline-block;
  border-bottom: 1px solid #5981ff;
  padding-bottom: 10px;
  margin-bottom: 30px;
  font-weight: 700;
  font-size: 16px;
  text-align: center;
}

.social-links {
  display: flex;
  justify-content: center;
}

.social-links a {
  display: inline-block;
  height: 40px;
  width: 40px;
  background-color: #5981ff;
  color: #000000;
  margin: 0 10px 10px 0;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  transition: all 0.5s ease;
}

.social-links a:hover {
  background-color: #5981ff;
  color: #ffffff;
}

.social-icon {
  width: 36px;
  height: 36px;
  font-size: 24px;
  color: #333;
  transition: opacity 0.2s;
}

.social-links a:hover .social-icon {
  opacity: 0.8;
}

.social-links a:active .social-icon {
  color: #333;
}

@media (max-width: 920px) {
  .footer-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
    gap: 20px;
  }

  .logo-footer {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
    width: 100%;
    text-align: center;
  }

  .footer-links {
    grid-column: 2 / 3;
    grid-row: 1 / 2;
    text-align: left;
  }

  .footer-contact {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
  }

  .footer-social {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
  }
}

@media (max-width: 500px) {
  .footer-container {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
  }

  .logo-footer {
    text-align: center;
  }

  .footer-logo {
    display: inline;
  }

  .logo-footer,
  .footer-links,
  .footer-contact,
  .footer-social {
    width: 100%;
    text-align: center;
  }

  .logo-footer {
    order: 1;
  }

  .footer-links {
    order: 2;
  }

  .footer-ul {
    text-align: center;
  }

  .footer-contact {
    order: 3;
  }

  .footer-social {
    order: 4;
  }
}